Subject: Re: bug#31624: 27.0; (elisp) `Syntax Flags'
From: Eli Zaretskii <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 02 Jun 2018 14:03:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: 28 May 2018 21:39:44 -0000
> From: Alan Mackenzie <[email-masked]>
> Cc: [email-masked]
> 
> In article <[email-masked]> you wrote:
> > Something seems to be missing. This node refers to "a" style, but that
> > seems to be defined nowhere.  The node defines "comment style" this way:
> 
> >   A comment style is a set of flags 'b', 'c', and 'n', ...
> 
> > No mention of style "a" there.  What is style "a"?  I don't see it
> > specified anywhere.
> 
> > Presumably style "a" is some set composed of the flags 'b', 'c', and
> > 'n', but what set?
> 
> When neither flag 'b' nor flag 'c' is set, you have style "a".  

I added that to the text.

> > And what about the relation between those "flags" and the "styles"?
> 
> When 'b' is set, you have style "b", when 'c' is set, you have style
> "c".  I think having both of them set is undefined (but it does leave
> room for a style "d" (shudder!)).

I added a sentence that explains how styles and flags are related.

Thanks.